// XmlMemberValidation_Interval.h: interface for the CXmlMemberValidation_Interval class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_XMLMEMBERVALIDATION_INTERVAL_H_)
#define _XMLMEMBERVALIDATION_INTERVAL_H_


#include <string>
#include "XmlBaseElement.h"

using namespace std;


class CXmlMemberValidation_Interval : public CXmlBaseElement
{
public:
	CXmlMemberValidation_Interval();
	virtual ~CXmlMemberValidation_Interval();

	// implementation of XmlBaseElement
	//
	virtual bool BuildFromXml(IXMLDOMNode* node);
	virtual bool AppendToDOMDocument(IXMLDOMDocument2* xmlDoc, IXMLDOMElement* parentElement);	


	
	
	static cmString GetXmlNodeName() {return _T("Interval");}

	// Enum Items management
	//
	void SetMinValue(double minValue);
	double GetMinValue() const;

	void SetMaxValue(double maxValue);
	double GetMaxValue() const;

	void SetPrecision(int precision);
	int GetPrecision() const;

	void Clear();
	
protected:
	
	virtual void SetDefaults();

	double minValue_;
	double maxValue_;
	int precision_;
};

#endif // !defined(_XMLMEMBERVALIDATION_INTERVAL_H_)
